%define upstream_name    Algorithm-Permute
%define upstream_version 0.12

%{?perl_default_filter}


Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 16

Summary:    Handy and fast permutation with OO interface
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Algorithm/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl-devel


%description
This handy module makes performing permutation in Perl easy and fast,
although perhaps its algorithm is not the fastest on the earth. It supports
permutation r of n objects where 0 < r <= n. 

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make


%install
%makeinstall_std

%files
%doc Changes README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Tue Jul 11 2017 bb2 <bb2> - 0.120.0-16pclos2017
- rebuild against updates

